Subject: Re: bug#52912: 29.0.50; Left over files from native compilation

From: Andrea Corallo <[email-masked]>
Date: Sun, 02 Jan 2022 22:35:26 +0000

Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <[email-masked]> writes:

> Package: Emacs
> Version: 29.0.50
>
>
> In the build trees where I activate native compilation, I keep getting
> temp files left around like:
>
>     lisp/files.elcEzo7Nt
>     lisp/frame.elc8Gsst9
>     lisp/help.elc92jC2M
>
> I'm not completely sure in which circumstances these appear.
> It might be when I interrupt the build with `C-c` or when it dies for
> some other reason.
> But in any case we should clean these promptly rather than leaving them
> for some human to clean them up by hand.
>
>
>         Stefan

Hi Stefan,

I guess Emacs was brutally killed while building, otherwise we should
clean these.  Not sure how we can do better here, it works exactly as
the byecompiler is working (but is just slower in compiling).

Thanks

  Andrea